xrepo(1)

NAME
xrepo - cross-platform build utility based on Lua

SYNOPSIS
xrepo [action] [options]

DESCRIPTION
xrepo is a lightweight cross-platform build utility based on Lua. It uses xrepo.lua to maintain project builds. Compared with makefile/CMakeLists.txt, the configuration syntax is more concise and intuitive. It is very friendly to novices and can quickly get started in a short time. Let users focus more on actual project development.

ACTIONS

clean
    Clear all package caches and remove all not-referenced packages.

env Set environment and execute command, or print environment.

export
    Export the given packages.

fetch
    Fetch library information of the given installed packages.

import
    Import the given packages.

info
    Show information of the given packages.

install
    Install the given packages.

remove
    Remove the given packages.

scan
    Scan the given or all installed packages.

search
    Search the given packages.

add-repo
    Add the given remote repository url.

list-repo
    List all remote repositories.

rm-repo
    Remove the given remote repository.

update-repo
    Update all local repositories from remote.

OPTIONS

-q, --quiet
    Quiet operation.

-y, --yes
    Input yes by default if need user confirm.

--root
    Allow one to run xrepo as root.

-v, --verbose
    Print lots of verbose information for users.

-D, --diagnosis
    Print lots of diagnosis information.

--version
    Print the version number and exit.

-h, --help
    Print this help message and exit.

AUTHOR
xrepo is written by ruki (waruqi@gmail.com). This manual page was written by Yangfl (mmyangfl@gmail.com) for the Debian Project (and may be used by others).